CREATE TABLE SERVICE_ORDER
(
    NAME                     VARCHAR2(100),
    WAREHOUSE_CD             VARCHAR2(30),
    STAT_CD                  VARCHAR2(30),
    STATUS_SUBTYPE           VARCHAR2(80),
    X_UNIQUE_TRANS_ID        VARCHAR2(100),
    X_ORIG_TRANS_NUM         VARCHAR2(30),
    X_NEW_REP_NUMBER         VARCHAR2(30),
    X_NEW_REP_NAME           VARCHAR2(100),
    X_REP_DUNS               VARCHAR2(30),
    X_REP_NAME               VARCHAR2(100),
    X_CURR_REP_DUNS          VARCHAR2(30),
    X_CURR_REP_NAME          VARCHAR2(100),
    X_UTILITY_DUNS_NUM       VARCHAR2(80),
    X_UTILITY_NAME           VARCHAR2(60),
    X_DATE_04                DATE,
    CREATED                  DATE,
    X_DATE_05                DATE,
    EFF_BILL_DT              DATE,
    DUE_DT                   DATE,
    LAST_UPD                 DATE,
    APPROVED_FLG             VARCHAR2(1),
    X_REQUEST_DESC_1         VARCHAR2(50),
    X_REQUEST_DESC_2         VARCHAR2(50),
    OUT_DUE_DT               DATE,
    ADDR_1_ID                VARCHAR2(15),
    X_MI_PRIORITY_CD         VARCHAR2(22),
    X_MOVE_IN_DT             DATE,
    X_MOVE_OUT_DT            DATE,
    X_WF_EXCEPTION           VARCHAR2(1),
    X_HIST_RCVD_FLG          CHAR(1),
    X_PERM_PEND_FLAG         CHAR(1),
    CANCEL_CODE              VARCHAR2(80),
    CANCEL_DESCRIPTION       VARCHAR2(80),
    WORKFLOW_EXCEPTION_NUM   VARCHAR2(5),
    X_MT_DROP_X		     CHAR(1),
    ACQUISITION_DROP_FLAG    CHAR(1));

COMMENT ON COLUMN SERVICE_ORDER.NAME		 	IS 'ESIID';	
COMMENT ON COLUMN SERVICE_ORDER.WAREHOUSE_CD	 	IS 'Type of service order';	
COMMENT ON COLUMN SERVICE_ORDER.STAT_CD		 	IS 'Status Identifier, Service Order Status';	
COMMENT ON COLUMN SERVICE_ORDER.STATUS_SUBTYPE		IS 'Further defines the Siebel Service Order Status';	
COMMENT ON COLUMN SERVICE_ORDER.X_UNIQUE_TRANS_ID 	IS 'Global ID, Unique Transaction Number';	
COMMENT ON COLUMN SERVICE_ORDER.X_ORIG_TRANS_NUM	IS 'Original Transaction Number';	
COMMENT ON COLUMN SERVICE_ORDER.X_NEW_REP_NUMBER	IS 'Stores the new CR number in case of a switch or a move in, New LSE DUNS #';	
COMMENT ON COLUMN SERVICE_ORDER.X_NEW_REP_NAME	 	IS 'New LSE Name';	
COMMENT ON COLUMN SERVICE_ORDER.X_REP_DUNS	 	IS 'REP DUNS#, Submitting LSE DUNS #';	
COMMENT ON COLUMN SERVICE_ORDER.X_REP_NAME	 	IS 'REP Name, Submitting LSE Name';	
COMMENT ON COLUMN SERVICE_ORDER.X_CURR_REP_DUNS	IS 'Blank and It Was previously Current Rep Duns Number';	
COMMENT ON COLUMN SERVICE_ORDER.X_CURR_REP_NAME  		IS 'Blank and It Was previously Current Rep Name';	
COMMENT ON COLUMN SERVICE_ORDER.X_UTILITY_DUNS_NUM	IS 'Utility DUNS Number, TDSP DUNS #';	
COMMENT ON COLUMN SERVICE_ORDER.X_UTILITY_NAME		IS 'Utility Name, TDSP Name';	
COMMENT ON COLUMN SERVICE_ORDER.X_DATE_04		IS 'Applicable First Available Switch Date';	
COMMENT ON COLUMN SERVICE_ORDER.CREATED			IS 'Siebel System Field, Created Date';	
COMMENT ON COLUMN SERVICE_ORDER.X_DATE_05		IS 'REP Objection Period, Transaction Processed Date';	
COMMENT ON COLUMN SERVICE_ORDER.EFF_BILL_DT		IS 'Date Effective, Special Switch Date';	
COMMENT ON COLUMN SERVICE_ORDER.DUE_DT			IS 'Date Received, Scheduled Meter Read Date';	
COMMENT ON COLUMN SERVICE_ORDER.LAST_UPD		IS 'This field represents the date/time that the row was last updated.  The date/time will change anytime the row is touched (i.e. when a row is inserted, when ERCOT manually updates the row, or when Siebel updates the row during normal transaction processing).';	
COMMENT ON COLUMN SERVICE_ORDER.APPROVED_FLG		IS 'Approved Identifier, Meter Data Present';	
COMMENT ON COLUMN SERVICE_ORDER.X_REQUEST_DESC_1	IS 'Request Description that has to do with Switch and drops'; 	
COMMENT ON COLUMN SERVICE_ORDER.X_REQUEST_DESC_2	IS 'Request Description that has to do with Switch and drops';	
COMMENT ON COLUMN SERVICE_ORDER.OUT_DUE_DT		IS 'Date Due, Meter Read Date';	
COMMENT ON COLUMN SERVICE_ORDER.ADDR_1_ID		IS 'Zip Code, Service Address ZIP';	
COMMENT ON COLUMN SERVICE_ORDER.X_MI_PRIORITY_CD	IS 'Move In Priority, This Column is not used by any Siebel Process';	
COMMENT ON COLUMN SERVICE_ORDER.X_MOVE_IN_DT		IS 'Move in Date';	
COMMENT ON COLUMN SERVICE_ORDER.X_MOVE_OUT_DT		IS 'Move out Date';	
COMMENT ON COLUMN SERVICE_ORDER.X_WF_EXCEPTION		IS '867 Exception, This Column is not used by any Siebel Process';	
COMMENT ON COLUMN SERVICE_ORDER.X_HIST_RCVD_FLG		IS 'Historical Usage';	
COMMENT ON COLUMN SERVICE_ORDER.X_PERM_PEND_FLAG	IS 'Original transaction number from TCH, Permit Pending';	
COMMENT ON COLUMN SERVICE_ORDER.CANCEL_CODE		IS 'Code defining why service order was cancelled.';	
COMMENT ON COLUMN SERVICE_ORDER.CANCEL_DESCRIPTION	IS 'Cancel Code Description';	
COMMENT ON COLUMN SERVICE_ORDER.WORKFLOW_EXCEPTION_NUM  IS 'A trap to prevent transactions from being rejected.';	
COMMENT ON COLUMN SERVICE_ORDER.X_MT_DROP_X		IS 'Mass Transition Drop Flag';
COMMENT ON COLUMN SERVICE_ORDER.ACQUISITION_DROP_FLAG	IS 'The indicator to identify if this was an Acquisition Transaction at ERCOT';
